using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Fast.Database.Models;

[Keyless]
public partial class VwBrokerOverviewInfo
{
    [Column("broker_id")]
    public int? BrokerId { get; set; }

    [Column("broker_name", TypeName = "citext")]
    public string? BrokerName { get; set; }

    [Column("broker_accounts", TypeName = "citext")]
    public string? BrokerAccounts { get; set; }

    [Column("broker_type", TypeName = "citext")]
    public string? BrokerType { get; set; }

    [Column("commission_after_hour")]
    public double? CommissionAfterHour { get; set; }

    [Column("commission")]
    public double? Commission { get; set; }

    [Column("commission4_efs")]
    public double? Commission4Efs { get; set; }

    [Column("broker_memo", TypeName = "citext")]
    public string? BrokerMemo { get; set; }
}
